# Class JspConfig.JspPropertyGroup

java.lang.Object
org.apache.jasper.compiler.JspConfig.JspPropertyGroup

Enclosing class:
  `JspConfig`

public static class JspConfig.JspPropertyGroup extends Object
Represents a JSP property group with a path, extension, and associated JSP property.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtension()`
Returns the file extension component of this property group.
`JspConfig.JspProperty`
`getJspProperty()`
Returns the JSP property configuration for this property group.
`String`
`getPath()`
Returns the URL path component of this property group.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPath

public String getPath()
Returns the URL path component of this property group.

Returns:
  the path, or null if not set

### getExtension

public String getExtension()
Returns the file extension component of this property group.

Returns:
  the extension, or null if not set

### getJspProperty

public JspConfig.JspProperty getJspProperty()
Returns the JSP property configuration for this property group.

Returns:
  the JSP property